# eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.generalHardcodedTmp

Module implementing a check for insecure usage of tmp file/directory.

### Global Attributes

None

### Classes

None

### Functions

checkHardcodedTmpDirectory | Function to check for insecure usage of tmp file/directory.
getChecks | Public method to get a dictionary with checks handled by this module.

## checkHardcodedTmpDirectory

checkHardcodedTmpDirectory(reportError, context, config)

Function to check for insecure usage of tmp file/directory.

reportError (func)
  function to be used to report errors
context (SecurityContext)
  security context object
config (dict)
  dictionary with configuration data

Up

## getChecks

getChecks()

Public method to get a dictionary with checks handled by this module.

Return:
  dictionary containing checker lists containing checker function and list of codes

Return Type:
  dict

Up